#include<fstream>
using namespace std;
int i,n;
ifstream f1("TAOXAU.INP");
ofstream f2("TAOXAU.OUT");
void xuat(char a[])
{
	for(i=0;i<n;i++)
	{
		f2<<a[i];
	}
}
void tx(int n,int m,char a[])
{
	int i;
	for(i=0;i<=1;i++)
	{
		if(i==0) a[m]='A';
		else a[m]='B';
		if(m>0)
		{
			int u=int(a[m]);
			int v=int (a[m-1]);
			if((u==v)&&(a[m]=='B')) continue;
		}
		if(m+1==n) 
		{
			xuat(a);
			f2<<endl;
		}
		else tx(n,m+1,a);
	}
}
/*void hv(int s,int b,char a[])
{
	int i;
	for(i=0;i<=1;i++)
	{
		if(i==0) a[b]='A';
		else a[b]='B';
		if(b+1==n) 
		{
			xuat(a);
			f2<<endl;
		}
		else hv(s,b+1,a);
	}
}*/
int main()
{
	f1>>n;
	f1.close();
	char a[n];
	tx(n,0,a);
	//hv(n,0,a);
	f2.close();
	return 0;
}
